#include "uip.h"
#include "ej1.h"

#include <string.h>
#include <stdlib.h>

void ej1_init(void) {
   uip_listen(HTONS(1234));
}
char buf_tmpo[31];
char nombre[30]="";
char rut[15]="";
int largo3;
int largo2;
int i;
void ej1_appcall(void) {

      if(uip_newdata()) {
          
      int largo=0;
      while( *(uip_buf + 54 + largo)!=0x0d) largo++;
     
      *(uip_buf + 54 + largo)=0x00;
          
      strcpy(buf_tmpo, (char *)(uip_buf + 54) );
            
      sscanf( buf_tmpo, "%s %s", nombre, rut );
    
      largo2 = 0;
      while( *(nombre + largo2)!=0x00) largo2++;
      
      *(nombre + largo2)=0x0d;
     
      //lo siguiente es para arreglar el string cuando del nombre que sigue es mas corto
      i=0;
      while((largo2 + 1 + i) <= 29){
      *(nombre + largo2 + 1 + i)=0x00; 
      i++;     
      }
     
      rut[10] = 0x0d;  
        
      //uip_send(nombre, 30);
      uip_send(rut,11);
      	   
                         }
                       }